### Method

# Adw AboutWindowset_debug_info

since: 1.2

#### Declaration [src]

    void
    adw_about_window_set_debug_info (
      AdwAboutWindow* self,
      const char* debug_info
    )

#### Description [src]

Sets the debug information for `self`.

Debug information will be shown on the Troubleshooting page. It’s intended to be attached to issue reports when reporting issues against the application.

`AdwAboutWindow` provides a quick way to save debug information to a file. When saving, `AdwAboutWindow:debug-info-filename` would be used as the suggested filename.

Debug information cannot contain markup or links.

Available since: 1.2

Sets property | `Adw.AboutWindow:debug-info`

#### Parameters

`debug_info`

  Type: `const char*`

  The debug information.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.